Skip to main content
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{workspaceId}
/
campaigns
/
{campaignId}
Update public-safe campaign configuration.
curl --request PATCH \
  --url https://api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{workspaceId}/campaigns/{campaignId} \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "requestId": "<string>",
    "details": {}
  }
}
Use this endpoint through the Developer API or the matching firstsales CLI command when available. Responses use the stable FirstSales public error envelope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required
workspaceId
string
required
campaignId
string
required

Response

Updated campaign with public-safe campaign configuration fields.